# CraftPresence

## [v2.4.0+Beta.8](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.4.0+Beta.8) (2022-06-09)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.4.0+Beta.7...v2.4.0+Beta.8) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Fix] Fixed a typo where the addon name is referenced twice in the intro msg  
- [Change] Residual Code Cleanups  
- [Change] Final refactors before full release  
    - Removed Internal Data from Locale files to prevent duplication and allow proper systems management  
      - A `internals` and `colors` field have been added in their place in `GlobalUtils` as well as a new `FormatColor` to automate formatting additional hex codes into a readable format (`colors` just has a few presupplied color codes).  
    - Added an if case to prevent issues of params being nil in `AssertFrameSize`. This method is also now documented as Internal Use only.  
    - Moved `GetLength`, `ContainsAt`, `StartsWith`, and `EndsWith` from `Utils` to `GlobalUtils`. This is mostly since these functions were already pretty generalized, so were moved to where the other generalized functions were.  
    - Converted most `CraftPresence` usages to `self` usages in `GlobalUtils`.  
    - Added an `extended\_version` result param  to `GetBuildInfo`. This will return `version (toc\_version)`, and is being used for a cleaner format for the minimum and maximum toc descriptions seen throughout the Config UI.  
    - Updated the Prefilled Cyan coloring from `c9fcff` to `7DF8FF` to be an overall brighter coloring.  
- [Change] More Locale Rewrites  
    - Beginning work on reducing Internal Usage in here.  
